Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver.client
Class Client

    java.lang.Object
      |
      +--net.sf.antcontrib.antserver.client.Client

public class Client
extends java.lang.Object

Place class description here.

Since:
Author:
  inger,

Constructor Summary
`Client(org.apache.tools.ant.Project project, java.lang.String machine, int port)`

Method Summary
`void` | `connect()`
`void` | `disconnect()`
`Response` | `sendCommand(Command command)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Client

    public Client(org.apache.tools.ant.Project project,
                  java.lang.String machine,
                  int port)

Method Detail

### connect

    public void connect()
                 throws java.io.IOException

    `java.io.IOException`

### disconnect

    public void disconnect()
                    throws java.io.IOException

    `java.io.IOException`

### sendCommand

    public Response sendCommand(Command command)
                         throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD